Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# togglebutton.hh File Reference

A GtkToggleButton C++ wrapper interface. More...

`#include <xfc/gtk/button.hh>`
`#include <gtk/gtktogglebutton.h>`
`#include <xfc/gtk/inline/togglebutton.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::ToggleButton
    A GtkToggleButton C++ wrapper class. More...

## Detailed Description

A GtkToggleButton C++ wrapper interface.

Provides ToggleButton, a Button which will remain 'pressed-in' when clicked. Clicking again will cause the toggle button to return to it's normal state.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3